/* Here is the full source code listing for Automobile.java */
/*
* Automobile
* Demonstrates Object Oriented Programming Concepts
*/
public class Automobile {
//Declare fields that belong to the Automobile class
public boolean engineRunning;
public int numWheels;
public int numSeats;
public double mileage;
public String color;
//define the constructor
public Automobile(int wheels, int seats, String theColor) {

//initialize the instance variables with the given
//values
numWheels = wheels;
numSeats = seats;
color = theColor;
//initialize the remaining variables
mileage = 0.0;
engineRunning = false;
}
//define methods that belong to the Automobile class
public void startEngine() {
engineRunning = true;
}
public void stopEngine() {
engineRunning = false;
}
public void drive(double numMiles) {
mileage += numMiles;
}
//This method defines the String representation of this
//object
public String toString() {
String s = “Number of wheels: “ + numWheels;
s += “\nNumber of seats: “ + numSeats;
s += “\nColor: “ + color;
s += “\nMileage: “ + mileage;
s += “\nEngine running: “ + engineRunning;

return s;
	}
}
