/* For example, this Truck class is a subclass of Automobile: */
/*
* Truck
* Demonstrates how to create a subclass by extending
* Automobile
*/
public class Truck extends Automobile {
//already has all fields that it inherited from Automobile
//add some more that are specific to Truck:
private boolean hasTrailer, trailerFull;
private double trailerMileage;
public Truck(String color) {
//call Automobile’s constructor, 10 wheels and 2 seats
super(10, 2, color);
//now take care of the remaining variables
hasTrailer = false;
trailerFull = false;
trailerMileage = 0.0;
}

//override Automobile’s drive() method
public void drive(double numMiles) {
super.drive(numMiles);
trailerMileage += numMiles;
}
//already has all methods that it inherited from Automobile
//add some more that are specific to Truck:
public void attachTrailer() {
hasTrailer = true;
numWheels += 8;
}
public void detachTrailer() {
hasTrailer = false;
numWheels -= 8;
}
public void load() {
trailerFull = true;
}
public void unload() {
trailerFull = false;
}
public String toString() {
//call Automobile’s toString method
String s = super.toString();
//add more info

s += “\nHas trailer: “ + hasTrailer;
s += “\nTailer full: “ + trailerFull;
s += “\nTrailer mileage: “ + trailerMileage;
return s;
	}
}
